@echo off
cd /d %~dp0
rem ***********************************************************************
rem       StarPRNT Intelligence software
rem                  WindowsPrintingController.dll Installer
rem                                                     2013/01/29
rem ***********************************************************************

if "%PROCESSOR_ARCHITECTURE%" == "x86" (

    rem ==== 32bit OS ====

    if exist "%ProgramFiles%\StarMicronics\PrinterSoftware\WindowsPrintingController.dll" (

        rem -- stop spooler --
        start /wait net stop spooler

        rem -- copy WindowsPrintingController.dll file --
        copy   ".\x86\WindowsPrintingController.dll" "%ProgramFiles%\StarMicronics\PrinterSoftware\WindowsPrintingController.dll"
        @fc /B ".\x86\WindowsPrintingController.dll" "%ProgramFiles%\StarMicronics\PrinterSoftware\WindowsPrintingController.dll"   > nul || goto ERROR

        rem -- start spooler --
        start /wait net start spooler

    )else (

        rem === no driver ===
        goto NODRIVER

    )

)else (

    rem ==== 64bit OS ====

    if exist "%ProgramFiles%\StarMicronics\PrinterSoftware\WindowsPrintingController.dll" (

        rem -- stop spooler --
        start /wait net stop spooler

        rem -- copy WindowsPrintingController.dll file (64bit)--
        copy   ".\x64\WindowsPrintingController.dll" "%ProgramFiles%\StarMicronics\PrinterSoftware\WindowsPrintingController.dll"
        @fc /B ".\x64\WindowsPrintingController.dll" "%ProgramFiles%\StarMicronics\PrinterSoftware\WindowsPrintingController.dll"   > nul || goto ERROR

        rem -- start spooler --
        start /wait net start spooler

    )else (

        rem === no driver ===
        goto NODRIVER

    )

)

goto FINISH

:NODRIVER
echo.
echo.
echo StarPRNT Intelligence software is not installed.
goto END

:BACKUPERROR
echo.
echo.
echo Backup failure.
goto END

:ERROR
echo.
echo.
echo Copy failure.
goto END

:FINISH
echo.
echo.
echo Copy success. (Install Finish!!)

:END
echo.
pause
